net.sf.jasperreports.engine.virtualization

## Interface SerializationConstants

-     public interface SerializationConstants

  Version:
    $Id: SerializationConstants.java 6210 2013-06-04 13:34:06Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `OBJECT_ARBITRARY`
    `static int` | `OBJECT_NULL`
    `static int` | `OBJECT_REF_MASK`
    `static int` | `OBJECT_TYPE_BIG_DECIMAL`
    `static int` | `OBJECT_TYPE_BIG_INTEGER`
    `static int` | `OBJECT_TYPE_BOOLEAN`
    `static int` | `OBJECT_TYPE_BYTE`
    `static int` | `OBJECT_TYPE_COUNT`
    `static int` | `OBJECT_TYPE_DATE`
    `static int` | `OBJECT_TYPE_DOUBLE`
    `static int` | `OBJECT_TYPE_ELEMENTS_DATA`
    `static int` | `OBJECT_TYPE_EVALUATION_TIME`
    `static int` | `OBJECT_TYPE_FLOAT`
    `static int` | `OBJECT_TYPE_HYPERLINK_PARAMETER`
    `static int` | `OBJECT_TYPE_HYPERLINK_PARAMETERS`
    `static int` | `OBJECT_TYPE_INTEGER`
    `static int` | `OBJECT_TYPE_LONG`
    `static int` | `OBJECT_TYPE_OFFSET`
    `static int` | `OBJECT_TYPE_RECORDED_VALUES`
    `static int` | `OBJECT_TYPE_SHORT`
    `static int` | `OBJECT_TYPE_SQL_DATE`
    `static int` | `OBJECT_TYPE_STRING`
    `static int` | `OBJECT_TYPE_TEMPLATE_ELEMENT`
    `static int` | `OBJECT_TYPE_TEMPLATE_ELLIPSE`
    `static int` | `OBJECT_TYPE_TEMPLATE_FRAME`
    `static int` | `OBJECT_TYPE_TEMPLATE_GENERIC`
    `static int` | `OBJECT_TYPE_TEMPLATE_GENERIC_RECORDED_VALUES`
    `static int` | `OBJECT_TYPE_TEMPLATE_GRAPHIC`
    `static int` | `OBJECT_TYPE_TEMPLATE_IMAGE`
    `static int` | `OBJECT_TYPE_TEMPLATE_IMAGE_RECORDED_VALUES`
    `static int` | `OBJECT_TYPE_TEMPLATE_LINE`
    `static int` | `OBJECT_TYPE_TEMPLATE_RECTANGLE`
    `static int` | `OBJECT_TYPE_TEMPLATE_TEXT`
    `static int` | `OBJECT_TYPE_TEMPLATE_TEXT_RECORDED_VALUES`
    `static int` | `OBJECT_TYPE_TIME`
    `static int` | `OBJECT_TYPE_TIMESTAMP`
    `static int` | `OBJECT_TYPE_UUID`

- - ### Field Detail

    - #### OBJECT_NULL

          static final int OBJECT_NULL

      See Also:
        Constant Field Values

    - #### OBJECT_ARBITRARY

          static final int OBJECT_ARBITRARY

      See Also:
        Constant Field Values

    - #### OBJECT_REF_MASK

          static final int OBJECT_REF_MASK

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_OFFSET

          static final int OBJECT_TYPE_OFFSET

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_COUNT

          static final int OBJECT_TYPE_COUNT

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_STRING

          static final int OBJECT_TYPE_STRING

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_UUID

          static final int OBJECT_TYPE_UUID

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_BYTE

          static final int OBJECT_TYPE_BYTE

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_SHORT

          static final int OBJECT_TYPE_SHORT

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_INTEGER

          static final int OBJECT_TYPE_INTEGER

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_LONG

          static final int OBJECT_TYPE_LONG

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_FLOAT

          static final int OBJECT_TYPE_FLOAT

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_DOUBLE

          static final int OBJECT_TYPE_DOUBLE

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_BOOLEAN

          static final int OBJECT_TYPE_BOOLEAN

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_BIG_INTEGER

          static final int OBJECT_TYPE_BIG_INTEGER

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_BIG_DECIMAL

          static final int OBJECT_TYPE_BIG_DECIMAL

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_DATE

          static final int OBJECT_TYPE_DATE

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_SQL_DATE

          static final int OBJECT_TYPE_SQL_DATE

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_TIMESTAMP

          static final int OBJECT_TYPE_TIMESTAMP

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_TIME

          static final int OBJECT_TYPE_TIME

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_ELEMENTS_DATA

          static final int OBJECT_TYPE_ELEMENTS_DATA

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_TEMPLATE_ELEMENT

          static final int OBJECT_TYPE_TEMPLATE_ELEMENT

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_TEMPLATE_FRAME

          static final int OBJECT_TYPE_TEMPLATE_FRAME

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_TEMPLATE_TEXT

          static final int OBJECT_TYPE_TEMPLATE_TEXT

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_TEMPLATE_TEXT_RECORDED_VALUES

          static final int OBJECT_TYPE_TEMPLATE_TEXT_RECORDED_VALUES

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_TEMPLATE_IMAGE

          static final int OBJECT_TYPE_TEMPLATE_IMAGE

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_TEMPLATE_IMAGE_RECORDED_VALUES

          static final int OBJECT_TYPE_TEMPLATE_IMAGE_RECORDED_VALUES

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_TEMPLATE_LINE

          static final int OBJECT_TYPE_TEMPLATE_LINE

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_TEMPLATE_RECTANGLE

          static final int OBJECT_TYPE_TEMPLATE_RECTANGLE

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_TEMPLATE_ELLIPSE

          static final int OBJECT_TYPE_TEMPLATE_ELLIPSE

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_TEMPLATE_GENERIC

          static final int OBJECT_TYPE_TEMPLATE_GENERIC

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_TEMPLATE_GENERIC_RECORDED_VALUES

          static final int OBJECT_TYPE_TEMPLATE_GENERIC_RECORDED_VALUES

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_TEMPLATE_GRAPHIC

          static final int OBJECT_TYPE_TEMPLATE_GRAPHIC

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_HYPERLINK_PARAMETERS

          static final int OBJECT_TYPE_HYPERLINK_PARAMETERS

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_HYPERLINK_PARAMETER

          static final int OBJECT_TYPE_HYPERLINK_PARAMETER

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_EVALUATION_TIME

          static final int OBJECT_TYPE_EVALUATION_TIME

      See Also:
        Constant Field Values

    - #### OBJECT_TYPE_RECORDED_VALUES

          static final int OBJECT_TYPE_RECORDED_VALUES

      See Also:
        Constant Field Values

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com